@if (columnDisplay && row) {
  <div class="sqtm-grid-cell-txt-renderer full-height flex-column">
    @if (!(serverOperationRunning$ | async)) {
      <sqtm-core-simple-checkbox
        style="margin: auto"
        class="p-b-5"
        [value]="linkedToStep"
        [disabled]="viewService.stepCreationMode$ | async"
        (clickedInActiveMode)="changeLinkState()"
      >
      </sqtm-core-simple-checkbox>
    } @else {
      <i
        class="current-workspace-main-color"
        nz-icon
        nzType="loading"
        nzTheme="outline"
      ></i>
    }
  </div>
}

<ng-template #loading>
  <i
    class="current-workspace-main-color"
    nz-icon
    nzType="loading"
    nzTheme="outline"
  ></i>
</ng-template>
